#
# Função que faz a leitura dos dados.
# Autores: Lucas de Barros Costa, Nicole Rizzi Nunes e Úrsula Abreu Ferreira 
#

function LeDados(file)
	lines = readlines(file)
	totalVagas = 0
	foiEleito = false

	for i=2:1:(length(lines))
		columms = split(lines[i], ";")
		foiEleito = false

		if contains(columms[1], "*")
			foiEleito = true
			totalVagas = totalVagas + 1
		end

		if contains(columms[4], "-")
			partido = split(columms[4], "-")[1]
			partido = partido[1:end-1]
			coligacao = split(columms[4], "-")[2]
			coligacao = coligacao[2:end]
			candidato = Candidato(columms[3], columms[2], partido, coligacao, columms[5], columms[6], foiEleito)
			push!(candidatos, candidato)
		end

		if !contains(columms[4], "-")
			candidato = Candidato(columms[3], columms[2], columms[4], "", columms[5], columms[6], foiEleito)
			push!(candidatos, candidato)
		end
		
	end
	totalVagas
end


